From 88b227bd536893a14d853087dd63579e4b13adc0 Mon Sep 17 00:00:00 2001
From: Thomas Munro <thomas.munro@enterprisedb.com>
Date: Wed, 2 May 2018 13:14:51 +1200
Subject: [PATCH 2/2] Fix compiler warning on Windows.

Commit 41c912ca caused MSVC to complain that not all control paths return
a value.

Thomas Munro
Discussion: https://postgr.es/m/CAEepm%3D3%3DTDYEXUEcHpEx%2BTwc31wo7PA0oBAiNt6sWmq93MW02A%40mail.gmail.com
---
 src/bin/pgbench/pgbench.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/src/bin/pgbench/pgbench.c b/src/bin/pgbench/pgbench.c
index c36556c497f..6f9b26e3d6a 100644
--- a/src/bin/pgbench/pgbench.c
+++ b/src/bin/pgbench/pgbench.c
@@ -1980,7 +1980,8 @@ evalStandardFunc(TState *thread, CState *st,
 					}
 				}
 
-				break;			/* NOTREACHED */
+				Assert(0);
+				return false;		/* NOTREACHED */
 			}
 
 			/* integer bitwise operators */
-- 
2.17.0

